Module java.rmi
Package java.rmi

## Class RMISecurityManager

- java.lang.Object
- - java.lang.SecurityManager
  - - java.rmi.RMISecurityManager

Deprecated.
Use `SecurityManager` instead.

    @Deprecated
    public class RMISecurityManager
    extends SecurityManager

`RMISecurityManager` implements a policy identical to the policy implemented by `SecurityManager`. RMI applications should use the `SecurityManager` class or another appropriate `SecurityManager` implementation instead of this class. RMI's class loader will download classes from remote locations only if a security manager has been set.

Implementation Note:

  Applets typically run in a container that already has a security manager, so there is generally no need for applets to set a security manager. If you have a standalone application, you might need to set a `SecurityManager` in order to enable class downloading. This can be done by adding the following to your code. (It needs to be executed before RMI can download code from remote hosts, so it most likely needs to appear in the `main` method of your application.)

          if (System.getSecurityManager() == null) {
              System.setSecurityManager(new SecurityManager());
          }

Since:
  1.1

### Field Summary

### Fields inherited from class java.lang.SecurityManager

`inCheck`

### Constructor Summary

Constructors
Constructor and Description
`RMISecurityManager()` Deprecated. Constructs a new `RMISecurityManager`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class java.lang.SecurityManager

`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

### Constructor Detail

#### RMISecurityManager

    public RMISecurityManager()

Deprecated.
Constructs a new `RMISecurityManager`.

Since:
  1.1